
import java.io.InputStream;

import zero.core.connection.Connection;
import zero.core.connection.Connection.Response;

def onExchangeRate2Activity() {
	//retrieve the data from the GlobalContext
	def from = event.attributes["from"];
	def to = event.attributes["to"];
		
	//executing the logic
	String url = "http://webservicex.com/CurrencyConvertor.asmx/ConversionRate?fromCurrency=${from}&ToCurrency=${to}";
	InputStream is = null;
	try {
		def response = Connection.doGET(url);
		is = response.getResponseBodyInputStream();
		String status = response.getResponseStatus();
        if (!"200".equals(response.getResponseStatus())) {
        	String message = "Cannot get the currency exchange rate from ${from} to ${to} for unexpected HTTP status code ${status} on ${url}";
            throw new RuntimeException(message);
        }
		def root = new XmlParser().parse(is);
		//put the output of the activity to the GlobalContext
		event.result = root.text().toDouble();
	} finally {
		if (is != null) {
			is.close();
		}
	}

}

metadata = [
	"attributes" : [["name":"from"],["name":"to"]],
	"inputs" : []
]