/*
 * ============================================================================
 * Licensed Materials - Property of IBM
 *  WebSphere sMash
 *
 * (C) Copyright IBM Corp. 2007  All Rights Reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or disclosure
 * restricted by GSA ADP Schedule Contract with IBM Corp.
 * ============================================================================
 */
package script

headers.out."Content-Type" = "text/html"

// get feed with entries order by publish date in decending order
def results = zero.feed.FeedFactory.aggregate(
			"http://rss.news.yahoo.com/rss/topstories",
			"http://rss.cnn.com/rss/cnn_topstories.rss"
			)
			.orderBy("published", false)
			

def feed = results.toXMLSlurper()

println """
<html><head><title>${feed.title.text()}</title></head>
<body>
"""
// rendering entry by GPath
feed.entry.each { entry -> 
	println """
		<h2><a href=\"${entry.link.find {it.@rel == 'edit'}.@href}\">${entry.title.text()}</a></h2>
		<sub>${entry.updated.text()}</sub>
		<p>${entry.summary.text()}</p>
		<hr/>
	"""
}
println "</body></html>"